var pageModule = require("ui/page");
var stackModule = require("ui/panels/stack-panel");
var buttonModule = require("ui/button");
var labelModule = require("ui/label");
var geometryModule = require("utils/geometry");
var enums = require("ui/enums");
var frameModule = require("ui/frame");

function createPage() {
    var titleLabel = new labelModule.Label();
    titleLabel.horizontalAlignment = enums.HorizontalAlignment.center;
    titleLabel.margin = new geometryModule.Thickness(20, 20, 20, 20);
    titleLabel.text = "Navigation customization example";
    titleLabel.cssClass = "title";

    var messageLabel = new labelModule.Label();
    messageLabel.horizontalAlignment = enums.HorizontalAlignment.center;
    messageLabel.margin = new geometryModule.Thickness(20, 20, 20, 20);
    messageLabel.cssClass = "message";
    messageLabel.textWrap = true;
    messageLabel.text = "This example demonstrates how to modify the NavBar, automatically added by NativeScript when navigating to a child page";

    var btn = new buttonModule.Button();
    btn.text = "TAP";
    btn.horizontalAlignment = enums.HorizontalAlignment.center;
    btn.on("click", function () {
        console.log("button click called");
        frameModule.topmost().navigate("app/child-page");
        //Navigate now...
    });

    var panel = new stackModule.StackPanel();
    panel.addChild(titleLabel);
    panel.addChild(messageLabel);
    panel.addChild(btn);

    var mainPage = new pageModule.Page();
    mainPage.content = panel;
    mainPage.css = " button { font-size: 42 } .title { font-size: 30 } .message { font-size: 20; color: #284848; }";
    return mainPage;
}
exports.createPage = createPage;
